
Redmine - Defect #14825

News: email notification to users 

2013-09-03 10:14 - Hervé CHALONS

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.2.3

Description

Hi,

For my projects, I would like:

to send "News" to all users if they take part in a project

that users receive notifications about Issues updates if and only if they are assigned to that Issue.

I do not want all users to receive notifications when any Issue is updated.

Is that possible in v2.2.3 ?

It worked in a previous version (I can't rememeber which but it is more than 2 years old).

For the moment, with the following settings, users receive News notifications but not Issues creations/updates even if they are

assigned to an issue.

the users have the following notification settings: "For any event on all my projects",

in the projects, notifications are activated only for the "News" but not for the "Issues".

If I activate "Issues", all users receive a notification when I modify or create an Issue.

I have seen the following Defect that could explain the evolution.

Defect #10656

Thank you for your support.

Environment:

Redmine version                          2.2.3.stable

Ruby version                             1.9.3 (i386-mingw32)

Rails version                            3.2.12

Environment                              production

Database adapter                         Mysql2

Redmine plugins:

redmine_charts2                          0.2.1

redmine_issue_templates                  0.0.5

Related issues:

Related to Redmine - Defect #10656: Email notifications not working as expected? Closed

Is duplicate of Redmine - Defect #4700: Adding news does not send notificatio... Closed 2010-01-31

History

#1 - 2013-09-03 10:17 - Hervé CHALONS

Correction:

For my projects, I would like:

to send "News" to all users if they take part in a project,

that users receive notifications about Issues updates if and only if they are assigned or watchers to an Issue.

I do not want all users to receive notifications when any Issue is updated.

#2 - 2013-09-16 10:30 - Toshi MARUYAMA

- Related to Defect #10656: Email notifications not working as expected? added
#3 - 2017-01-14 02:57 - Go MAEDA

- Is duplicate of Defect #4700: Adding news does not send notification to all project members added

#4 - 2017-01-14 02:57 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Fixed by #4700.

Redmine 2.3.0 and later always notify project members about news.

#5 - 2017-02-11 05:28 - Toshi MARUYAMA

- Subject changed from email notification to users  to News: email notification to users 
